require 'test_helper'

class V1::ObjectTypesControllerTest < ActionController::TestCase
  tests V1::ObjectTypesController
  include Devise::TestHelpers

  test 'should put update to object_type with admin user and return :ok code' do
    auth_request users(:admin)
    object_type = object_types(:image)
    mime_type = mime_types(:mp4)
    put :update, object_type: {
                                name: 'Vídeo',
                                mime_types: [mime_type.id]
    }, id: object_type.id
    assert_response :ok
  end

  test 'should not put update to object_type if user is not logged in and then return :unauthorized code' do
    object_type = object_types(:image)
    mime_type = mime_types(:mp4)
    put :update, object_type: {
                                name: 'Vídeo',
                                mime_types: [mime_type.id]
    }, id: object_type.id
    assert_response :unauthorized
  end

end
