require 'test_helper'

class V1::Users::BookmarksControllerTest < ActionController::TestCase
  tests V1::Users::BookmarksController
  include Devise::TestHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should user append learning object in bookmarks and return :created code' do
    auth_request users(:jack)
    lo = learning_objects(:one)
    post :create, id: users(:jack).id, bookmarks: { id: lo.id,
                                                   type: "LearningObject"
    }
    assert_response :created
  end

  test 'should user append collection in bookmarks and return :created code' do
    auth_request users(:jack)
    collection = collections(:ufpr)
    post :create, id: users(:jack).id, bookmarks: { id: collection.id,
                                                   type: "Collection"
    }
    assert_response :created
  end

  test 'should user undo bookmark of learning object to destroy and return :ok' do
    auth_request users(:jack)
    lo = learning_objects(:one)
    delete :destroy, id: users(:jack).id, bookmarks: { id: lo.id,
                                                     type: "LearningObject"
    }
    assert_response :ok
  end

  test 'should user undo bookmark of collection to destroy and return :ok' do
    auth_request users(:jack)
    collection = collections(:ufpr)
    delete :destroy, id: users(:jack).id, bookmarks: { id: collection.id,
                                                       type: "Collection"
    }
    assert_response :ok
  end

end
